Page MenuHomeFreeBSD

Replace youtube_dl dependencies with youtube_dlc
AbandonedPublic

Authored by debdrup on Oct 31 2020, 6:46 PM.

Details

Reviewers
None
Group Reviewers
Ports Committers
Contributor Reviewers (ports)
Summary

Since youtube_dl has disappeared, and some programs still depend on
the feature offered, make use of the youtube_dlc alternative that was recently
added to the ports framework.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 34535
Build 31632: arc lint + arc unit

Event Timeline

I think the SYMLINKS option should be turned on additionally in youtube_dlc by default.

Also, I would not rename the options

Address feedback

Enable SYMLINK option on youtube_dl and avoid renaming options, only rename the
description of the option.

www/py-pafy will require some care:

Traceback (most recent call last):
  File "/wrkdirs/usr/ports/www/py-pafy/work-py38/pafy-0.5.5/pafy/pafy.py", line 51, in <module>
    import youtube_dl
ModuleNotFoundError: No module named 'youtube_dl'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "setup.py", line 13, in <module>
    from pafy import __version__
  File "/wrkdirs/usr/ports/www/py-pafy/work-py38/pafy-0.5.5/pafy/__init__.py", line 7, in <module>
    from .pafy import new
  File "/wrkdirs/usr/ports/www/py-pafy/work-py38/pafy-0.5.5/pafy/pafy.py", line 54, in <module>
    raise ImportError(
ImportError: pafy: youtube-dl not found; you can use the internal backend by setting the environmental variable PAFY_BACKEND to "internal". It is not enabled by default because it is not as well maintained as the youtube-dl backend.
*** Error code 1

www/py-pafy will require some care:

Traceback (most recent call last):
  File "/wrkdirs/usr/ports/www/py-pafy/work-py38/pafy-0.5.5/pafy/pafy.py", line 51, in <module>
    import youtube_dl
ModuleNotFoundError: No module named 'youtube_dl'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "setup.py", line 13, in <module>
    from pafy import __version__
  File "/wrkdirs/usr/ports/www/py-pafy/work-py38/pafy-0.5.5/pafy/__init__.py", line 7, in <module>
    from .pafy import new
  File "/wrkdirs/usr/ports/www/py-pafy/work-py38/pafy-0.5.5/pafy/pafy.py", line 54, in <module>
    raise ImportError(
ImportError: pafy: youtube-dl not found; you can use the internal backend by setting the environmental variable PAFY_BACKEND to "internal". It is not enabled by default because it is not as well maintained as the youtube-dl backend.
*** Error code 1

Could I ask you to check if BINARY_ALIAS= youtube_dl=youtube_dlc works?

First this has nothing to do with BINARY_ALIAS it tries to import a python module and fails, it does not tries to find a binary in the path.

Second youtube-dl is not dead, they just made a release downloadable at https://youtube-dl.org/

In D27033#603653, @bapt wrote:

First this has nothing to do with BINARY_ALIAS it tries to import a python module and fails, it does not tries to find a binary in the path.

Second youtube-dl is not dead, they just made a release downloadable at https://youtube-dl.org/

Oh, I see. Yeah, I definitely don't know enough about python to fix pafy then.

I wasn't aware youtube-dl was still active, so I guess it's an open question whether anything should even be moved around or not.

And youtube-dl is back

Huh, well, that's alright then. :)
Incidentally, it also looks like it's already been built.